<?php

$params = array('yubikey_clientid', 'yubikey_clientkey');

if ($_POST) {
	foreach($params as $param){
		if(isset($_POST[$param])){
			OC_Appconfig::setValue('user_yubikey', $param, $_POST[$param]);
		}
	}
}

$tmpl = new OC_Template( 'user_yubikey', 'admin_settings');
foreach($params as $param){
		$value = OC_Appconfig::getValue('user_yubikey', $param,'');
		$tmpl->assign($param, $value);
}

return $tmpl->fetchPage();
